import sys, os
import signal
sys.path.append(os.path.normpath(sys.path[0]+'/../..'))
import queue_receiver
from nes_common import logger
serviceLog = logger.Logger().getLogger('Service')

def stop(signum, frame):
    queue_receiver.stop()
signal.signal(signal.SIGTERM, stop)

def run():
    serviceLog.info('Starting service for load dicts. (Mode: cash - mssql)')

    try:
        queue_receiver.start(service = True, isCash = True)
    except Exception, e:
        serviceLog.error(str(e))

if __name__ == '__main__':
    run()
