'''
Created on 13.04.2010

@author: gsu
'''

import re
from datetime import date, time

patternDate = re.compile("^([0-9]{4})-([0-9]{2})-([0-9]{2})$")
patternTime = re.compile("^([0-9]{1,2}):([0-9]{2}):([0-9]{2})$")

def toDate(str):
    if str == None:
        return None
    m = patternDate.match(str)
    if m != None:
        return date(int(m.group(1)), int(m.group(2)), int(m.group(3)))
    return None

def toTime(str):
    if str == None:
        return None
    m = patternTime.match(str)
    if m != None:
        return time(int(m.group(1)), int(m.group(2)), int(m.group(3)))
    return str
