import simplesql as sql

tables = ['excisemarkwhite']

default_excisetype = 'ALCOHOL'

def insertExciseMarkWhite(excisemarkwhite):
    yield sql.Insert(table='excisemarkwhite', values={'excisemarkid': excisemarkwhite.get('excisemarkid', None),
                                                      'excisetype': excisemarkwhite.get('excisetype', default_excisetype),
                                                      'barcode': excisemarkwhite.get('barcode', None),
                                                      'shopcode': excisemarkwhite.get('shopcode', None),
                                                      'serialnumber': excisemarkwhite.get('serialnumber', None)})

def deleteExciseMarkWhite(excisemarkwhite):
    for i in deleteExciseMarkWhiteById(excisemarkwhite.get('excisemarkid', None), excisemarkwhite.get('excisetype', default_excisetype)):
        yield i

def deleteExciseMarkWhiteById(excisemarkid, excisetype=default_excisetype):
    yield sql.Delete(table='excisemarkwhite', 
                     whereFields=['excisemarkid', 'excisetype'], 
                     whereValues=[excisemarkid, excisetype])

def clearExciseMarkWhite():
    yield sql.DeleteAll(table='excisemarkwhite')
